Name:           6tunnel
Version:        0.13
Release:	 1%{?dist}
Summary:        Tunnelling for application that don't speak IPv6

License:        GPL-2.0-only
URL:            https://github.com/wojtekka/6tunnel
Source0:         %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc
BuildRequires:  make
# needed for tests
BuildRequires:  python3

# https://github.com/wojtekka/6tunnel/issues/11
# issue is closed but commit is not in a tagged release
# anything after 0.13 should have it natively
Patch0:          9e4119f03f57eec67b97dddbf09d363b638791dc.patch

%description
6tunnel allows you to use services provided by IPv6 hosts with IPv4-only
applications and vice-versa. It can bind to any of your IPv4 (default) or
IPv6 addresses and forward all data to IPv4 or IPv6 (default) host.

%prep
%autosetup


%build
autoreconf -vif
%configure
%make_build


%check
%{python3} test.py


%install
%make_install


%files
%license COPYING
%doc README.md ChangeLog
%{_bindir}/6tunnel
%{_mandir}/man1/6tunnel.1*


%changelog
* Thu Apr 11 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.13-1
- initial build
